classdef genlib_check_headers < check_headers
  % concrete class for checking genlib headers
  %
  % [+GenLib General Purpose Library+] Swiss Plasma Center EPFL Lausanne 2022. All rights reserved.
  
 properties
    dofix = false; % if true, modify files to fix header
    IgnoredPaths = {'.git','mexargs'};
    old_headers = {'GenLib General Purpose Library'};
    desired_header = '[+GenLib General Purpose Library+] Swiss Plasma Center EPFL Lausanne 2022. All rights reserved.';
    test_folder = fileparts(fileparts(mfilename('fullpath')));
 end
 
end
